import { IUser } from 'app/entities/user/user.model';

export interface ISavedSearches {
  id: number;
  name?: string | null;
  jsonQuery?: string | null;
  user?: Pick<IUser, 'id'> | null;
}

export type NewSavedSearches = Omit<ISavedSearches, 'id'> & { id: null };
